package scylladb

import (
	"github.com/scylladb/gocqlx/v2/table"
)

var (
	Users = table.New(table.Metadata{
		Name: "users",
		Columns: []string{
			"id",
			"username",
			"account_name",
			"email",
			"password",
			"description",
			"latitude",
			"longitude",
			"privacy",
			"xp_level",
			"xp_points",
			"followers_count",
			"following_count",
			"account_status",
			"avatar_url",
			"created_at",
			"updated_at"},
		PartKey: []string{"id"},
	})

	Sessions = table.New(table.Metadata{
		Name: "sessions",
		Columns: []string{
			"id",
			"user_id"},
		PartKey: []string{"id"},
	})
)
